import Request from '../..'

/**
 * 申报记录 - 用户申报
 */

// 打开申报单
export function openDeclForm(data: API.OpenDeclFormParams) {
  return Request.post<API.OpenDeclFormResult>({
    url: '/cms/ent/risk/info/decl/form',
    params: data
  })
}

export interface ITenantApplyInfo {
  declId?: any
  regCode: string
  tenantName: string
  username: string
  passwordHint: string
  status: string
}
// 查询创建租户申请
export function getTenantApply(query: { declId: string; regCode: string }) {
  return Request.get<ITenantApplyInfo>({
    url: '/cms/ent/risk/info/decl/tenant/apply',
    params: query
  })
}
